package ru.ispras.kmb.vending;

/**
 * Реализация с ошибкой:
 * кредит накапливается только до тех пор, пока он не станет равным максимальной цене товара.  
 */
public class VendingMachine1829164700 extends VendingMachineImpl
{
    public VendingMachine1829164700( int[] goods, int[] prices )
    {
        super( goods, prices );
    }
    
    @Override
    public void addCredit( int amount )
    {
        credit += amount;

        int max = 0;
        for( int price: prices )
        {
            if( max < price )
            {
                max = price;
            }
        }
        
        if( credit > max ) credit = max; 
    }
}
